Notices
Create notice
AuthorizationBearer <token>
In: header
attachment_idsarray<string>
audience_idsarray<string>
audience_typestring
Default
"course"bodystring
Default
"Please note that the course schedule has been updated. All students are required to check their new timetables."expires_atstring
Default
"2024-12-31T23:59:59Z"is_recurringboolean
Default
falsepinnedboolean
Default
trueprioritystring
Default
"high"published_atstring
Default
"2024-12-25T00:00:00Z"read_trackingboolean
Default
truestatusstring
Default
"published"thumbnailstring
Default
"https://via.placeholder.com/150"Format
urititlestring
Default
"Important Course"Response Body
curl -X POST "https://edushade.com/api/v1/admin/notices" \
-H "Content-Type: application/json" \
-d '{
"attachment_ids": [
"string"
],
"audience_ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"audience_type": "course",
"body": "Please note that the course schedule has been updated. All students are required to check their new timetables.",
"expires_at": "2024-12-31T23:59:59Z",
"is_recurring": false,
"pinned": true,
"priority": "high",
"published_at": "2024-12-25T00:00:00Z",
"read_tracking": true,
"status": "published",
"thumbnail": "https://via.placeholder.com/150",
"title": "Important Course"
}'{}Empty
Empty
Empty